<?php
require '../conexao/conexao.php';
require '../sessao.php';
//require '../conexao/acesso.php';
require '../configuacoes.php';



function getBadgeClass($percentage)
{
    if ($percentage < 90) {
        return 'badge-danger';
    } elseif ($percentage >= 90 && $percentage < 100) {
        return 'badge-warning';
    } elseif ($percentage >= 100 && $percentage < 105) {
        return 'badge-success';
    } elseif ($percentage >= 105) {
        return 'badge-primary';
    } else {
        return ''; // ou outra classe de sua escolha para situações não esperadas
    }
}




function getBadgeClassmeta($percentage)
{
    if ($percentage <= 70) {
        return 'badge-danger';
    } elseif ($percentage <= 80) {
        return 'badge-warning';
    } elseif ($percentage > 80 && $percentage <= 99 ) {
        return 'badge-primary';
    } elseif ($percentage >= 100) {
        return 'badge-success';
    } else {
        return ''; // ou outra classe de sua escolha para situações não esperadas
    }
}

$hojeFormatado = date('Y-m-d');
//$hoje = DateTime::createFromFormat('d-m-Y H:i', '23-11-2024 08:51');
//$hojeFormatado = $hoje->format('Y-m-d');
// Obtém o mês e ano da data atual
$mesAtual = date('m', strtotime($hojeFormatado));
$anoAtual = date('Y', strtotime($hojeFormatado));


//recuperando cidade combo filial
$query_cidade_filial = "SELECT DISTINCT MUNIC FROM FC01000 fc WHERE fc.cdfil IN (SELECT cdfil FROM fc12000) AND fc.munic is not null";
$result_cidade_filial = ibase_query($connection, $query_cidade_filial);

if (!$result_cidade_filial) {
    die('Erro na consulta: ' . ibase_errmsg());
}

$cidadefiliais = [];
while ($row = ibase_fetch_assoc($result_cidade_filial)) {
    $cidadefiliais[] = $row;
}



//$cidade = trim($_GET['cidade']) ?? null;
if (isset($_GET['cidade'])) {
    // Obtém o valor da cidade e remove espaços em branco extras
$cidade = trim($_GET['cidade']);
}else {
    // Se o parâmetro 'cidade' não estiver presente, define $cidade como null
    $cidade = null;
}
$ano = $_GET['ano'] ?? null;
$mes = $_GET['mes'] ?? null;
//$filial = $_GET['filial'] ?? null;

//$filial = isset($_GET['filial']) ? $_GET['filial'] : array();
$filiais_condicao = $_GET['filial'] ?? [];

if (!empty($filiais_condicao)) {
    if (is_array($filiais_condicao)) {
        // Se $filial for um array (vários valores selecionados), aplicamos array_map
        $filial = implode(",", array_map('intval', $filiais_condicao));
    } else {
        // Se $filial for uma string (apenas um valor selecionado), convertemos para inteiro diretamente
        $filial = intval($filiais_condicao);
    }
} else {
    // Se $filiais_condicao estiver vazio, atribuímos o valor "Todos" a $filial
    $filial = "Todos";
}


// Criar a string de consulta com os parâmetros
$queryString = http_build_query([
    'cidade' => $cidade,
    'ano' => $ano,
    'mes' => $mes,
    'filial' => $filial
]);

// URL da página "ranking.php" com os parâmetros da pesquisa
$rankingPageUrl = "ranking.php?$queryString";


if (isset($_GET['pesquisar'])) {
    //if (isset($_GET['pesquisar']) || (isset($_GET['retorno']) && $_GET['retorno'] == 'detalhamento')) {

         // Verifica se a cidade não é "Todos"
if ($cidade !== "Todos") {
    // QUERY PARA PEGAR CIDADE ESCOLHIDA
    $query_idcidade = "SELECT id_cidade FROM cidade WHERE nome_cidade = '$cidade'";

    // Execute a consulta e obtenha os resultados
    $result_idcidade = $connectionmysql->query($query_idcidade);
    if (!$result_idcidade) {
        die('Erro na consulta: ' . $connectionmysql->error);
    }

    // Obtenha o ID da cidade escolhida
    $row_idcidade = $result_idcidade->fetch_assoc();
    $id_cidade_atual = $row_idcidade["id_cidade"];
    // echo $id_cidade_atual;

    // QUERY PARA PEGAR O VALOR DO DIA ÚTIL
    $query_diaatual = "SELECT SUM(peso) AS peso_atual FROM dia_trabalho_cidade dc
        INNER JOIN cidade c ON c.id_cidade = dc.id_cidade
        INNER JOIN dia_trabalho dt ON dt.id_dia_trabalho = dc.id_dia_trabalho
        INNER JOIN tipo_dia td ON td.id_tipo_dia = dc.id_tipo_dia 
        WHERE MONTH(dia_trabalho) = $mes AND YEAR(dia_trabalho) = $ano 
        AND c.id_cidade = $id_cidade_atual AND dia_trabalho <= CURDATE() - INTERVAL 1 DAY";
		


    // Execute a consulta e obtenha os resultados
    $result_diaatual = $connectionmysql->query($query_diaatual);
    if (!$result_diaatual) {
        die('Erro na consulta: ' . $connectionmysql->error);
    }

    // Obtenha o peso do dia atual
    $row_diaatual = $result_diaatual->fetch_assoc();
    $peso_diaatual = $row_diaatual["peso_atual"];
    //echo $peso_diaatual;
	

    // Sua consulta MySQL para o último dia do mês
    $query_ultimodia = "SELECT SUM(peso) AS peso_ultimo FROM dia_trabalho_cidade dc
        INNER JOIN cidade c ON c.id_cidade = dc.id_cidade
        INNER JOIN dia_trabalho dt ON dt.id_dia_trabalho = dc.id_dia_trabalho
        INNER JOIN tipo_dia td ON td.id_tipo_dia = dc.id_tipo_dia 
        WHERE MONTH(dia_trabalho) = $mes AND YEAR(dia_trabalho) = $ano AND c.id_cidade = $id_cidade_atual";
		
		// Execute a consulta e obtenha os resultados
    $result_ultimodia = $connectionmysql->query($query_ultimodia);
    if (!$result_ultimodia) {
        die('Erro na consulta: ' . $connectionmysql->error);
    }
		
		// Obtenha o peso do último dia do mês
	$row_ultimodia = $result_ultimodia->fetch_assoc();
	$pesoUltimoDia = $row_ultimodia["peso_ultimo"];
	 
	//echo $pesoUltimoDia;

} if ($cidade == "Todos") {
    // Se a cidade for "Todos", execute as consultas sem restrição de cidade
    // QUERY PARA PEGAR O VALOR DO DIA ÚTIL
    $query_diaatual = "SELECT 
    SUM(soma_pesos) / COUNT(DISTINCT nome_cidade) AS peso_atual
FROM (
    SELECT 
        c.nome_cidade, 
        SUM(peso) as soma_pesos 
    FROM 
        dia_trabalho_cidade dc
    INNER JOIN 
        cidade c ON c.id_cidade = dc.id_cidade
    INNER JOIN 
        dia_trabalho dt ON dt.id_dia_trabalho = dc.id_dia_trabalho
    INNER JOIN 
        tipo_dia td ON td.id_tipo_dia = dc.id_tipo_dia 
    WHERE 
        MONTH(dia_trabalho) = $mes
        AND YEAR(dia_trabalho) = $ano
        AND dia_trabalho <= CURDATE() - INTERVAL 1 DAY
    GROUP BY 
        c.nome_cidade
) AS subconsulta";

    // Execute a consulta e obtenha os resultados
    $result_diaatual = $connectionmysql->query($query_diaatual);
    if (!$result_diaatual) {
        die('Erro na consulta: ' . $connectionmysql->error);
    }

    // Obtenha o peso do dia atual
    $row_diaatual = $result_diaatual->fetch_assoc();
    $peso_diaatual = $row_diaatual["peso_atual"];
     
    //echo $peso_diaatual;

    // Sua consulta MySQL para o último dia do mês
    $query_ultimodia = "SELECT 
    SUM(soma_pesos) / COUNT(DISTINCT nome_cidade) AS peso_ultimo
FROM (
    SELECT 
        c.nome_cidade, 
        SUM(peso) as soma_pesos 
    FROM 
        dia_trabalho_cidade dc
    INNER JOIN 
        cidade c ON c.id_cidade = dc.id_cidade
    INNER JOIN 
        dia_trabalho dt ON dt.id_dia_trabalho = dc.id_dia_trabalho
    INNER JOIN 
        tipo_dia td ON td.id_tipo_dia = dc.id_tipo_dia 
    WHERE 
        MONTH(dia_trabalho) = $mes
        AND YEAR(dia_trabalho) = $ano 
        
    GROUP BY 
        c.nome_cidade
) AS subconsulta";
}

// Execute a consulta para o último dia do mês
$result_ultimodia = $connectionmysql->query($query_ultimodia);
if (!$result_ultimodia) {
    die('Erro na consulta: ' . $connectionmysql->error);
}

// Obtenha o peso do último dia do mês
$row_ultimodia = $result_ultimodia->fetch_assoc();
$pesoUltimoDia = $row_ultimodia["peso_ultimo"];

$qry_manipulado = "SELECT fr.cdfil, 

									 sum(fr.PRCOBR - fr.VRDSC) AS soma

									 FROM FC12100 fr 
									 
									  WHERE 1 = 1 ";
                                     if (!empty($filial) && $filial !== "Todos") {
                                        // Se $filial não estiver vazio e não for "Todos", aplicamos o filtro na consulta
                                       
                                        $qry_manipulado .= " and fr.cdfil IN ($filial)";
                                        
                                    }
                                    // Aplicar filtros de ano e mês para a primeira subconsulta
                                    if ($ano && $ano != "Selecione") {
                                        $qry_manipulado .= " AND EXTRACT(YEAR FROM fr.DTENTR) = " . intval($ano);
                                    }
                                    if ($mes && $mes != "Selecione") {
                                        $qry_manipulado .= " AND EXTRACT(MONTH FROM fr.DTENTR) = " . intval($mes);
                                    }
                                    $qry_manipulado .= "group by cdfil";

    $qry_revenda = "select cp.cdconre, SUM(p.vrtot - p.vrdsc - p.vrdscv + p.vrtxav) as revenda_total  from fc14100 p, fc14000 cp, FC03000 pr, fc08000 fun
                           where p.cdfil = cp.cdfil and
                           p.nrcpm = cp.nrcpm and
                           p.cdpro = pr.cdpro and
                            pr.setor not in (276,330) and
                            cp.cdfil = fun.cdcon and
                           cp.cdfunre = fun.cdfun";

                           if (!empty($filial) && $filial !== "Todos") {
                            // Se $filial não estiver vazio e não for "Todos", aplicamos o filtro na consulta
                           
                            $qry_revenda .= " and cp.cdconre IN ($filial)";
                            
                        }

                        if ($ano && $ano != "Selecione") {
                            $qry_revenda .= " AND EXTRACT(YEAR FROM cp.dtpagefe) = " . intval($ano);
                        }
                        if ($mes && $mes != "Selecione") {
                            $qry_revenda .= " AND EXTRACT(MONTH FROM cp.dtpagefe) = " . intval($mes);
                        }
                        
                        $qry_revenda .= "group by cp.cdconre";

    $qry_marca = "select cp.cdconre, SUM(p.vrtot - p.vrdsc - p.vrdscv + p.vrtxav) as marca_propria_total  from fc14100 p, fc14000 cp, FC03000 pr, fc08000 fun
                           where p.cdfil = cp.cdfil and
                           p.nrcpm = cp.nrcpm and
                           p.cdpro = pr.cdpro
                           AND pr.setor in (276,330) and
                           cp.cdfil = fun.cdcon and
                           cp.cdfunre = fun.cdfun";

                           if (!empty($filial) && $filial !== "Todos") {
                            // Se $filial não estiver vazio e não for "Todos", aplicamos o filtro na consulta
                           
                            $qry_marca .= " and cp.cdconre IN ($filial)";
                            
                        }

                        if ($ano && $ano != "Selecione") {
                            $qry_marca .= " AND EXTRACT(YEAR FROM cp.dtpagefe) = " . intval($ano);
                        }
                        if ($mes && $mes != "Selecione") {
                            $qry_marca .= " AND EXTRACT(MONTH FROM cp.dtpagefe) = " . intval($mes);
                        }
                        $qry_marca .= "group by cp.cdconre";

    $qryResult = ibase_query($connection, $qry_manipulado);
    if (!$qryResult) {
        die("Erro na consulta SQL (Manipulado): " . ibase_errmsg());
    }

    $qryResultRevenda = ibase_query($connection, $qry_revenda);
    if (!$qryResultRevenda) {
        die("Erro na consulta SQL (Revenda): " . ibase_errmsg());
    }

    $qryResultMarca = ibase_query($connection, $qry_marca);
    if (!$qryResultMarca) {
        die("Erro na consulta SQL (Marca Própria): " . ibase_errmsg());
    }


//QUERY PARA TRAZER AS METAS
$sql_meta = "select codigo_filial, VALOR_MANIPULADO as META_VALOR_MANIPULADO, VALOR_REVENDA as META_VALOR_REVENDA,valor_marcapropria as META_VALOR_MARCA_PROPRIA,
COALESCE(VALOR_MANIPULADO,0)+COALESCE(VALOR_REVENDA,0)+COALESCE(valor_marcapropria,0) AS META_SOMA
from metas WHERE 1=1";

    if ($ano && $ano != "Selecione") {
        $sql_meta .= " and ano = " . intval($ano);
    }
    if ($mes && $mes != "Selecione") {
        $sql_meta .= " and mes = " . intval($mes);
    }

    // Aplicar o filtro da filial
    if ($filial && $filial != "Todos") {
        $sql_meta .= " AND codigo_filial IN ($filial)";
    }

    //echo $sql_meta;
    $resultmeta = $connectionmysql->query($sql_meta);

    if (!$resultmeta) {
        die('Erro na consulta MySQL: ' . $connectionmysql->error);
    }
    //SQL VENDAS DE TERCEIROS
    $sql_terceiros = "SELECT SUM(t.valor) as valor_terceiros FROM pedido_terceiro as t
    inner join funcionarios as f on t.ID_FUNCIONARIO = f.id_funcionario
    WHERE 1=1";

    // Aplicar filtros de ano e mês para a terceira subconsulta
    if ($ano && $ano != "Selecione") {
        $sql_terceiros .= " AND EXTRACT(YEAR FROM t.data_lancamento) = " . intval($ano);
    }
    if ($mes && $mes != "Selecione") {
        $sql_terceiros .= " AND EXTRACT(MONTH FROM t.data_lancamento) = " . intval($mes);
    }
    // Aplicar o filtro da filial
    if (!empty($filial) && $filial !== "Todos") {
        $sql_terceiros .= " AND t.cod_filial IN ($filial)";
    }

    // Executar a consulta SQL
$result_terceiros = $connectionmysql->query($sql_terceiros);

// Verificar se a consulta foi bem sucedida
if ($result_terceiros) {
    // Inicializar a variável para armazenar o total de terceiros
    $total_terceiros = 0;
    
    // Verificar se há linhas retornadas pela consulta
    if ($result_terceiros->num_rows > 0) {
        // Loop pelas linhas do resultado
        while ($row = $result_terceiros->fetch_assoc()) {
            // Somar o valor da coluna 'valor_terceiros' ao total de terceiros
            $total_terceiros += $row['valor_terceiros'];
        }
    } else {
        // Não há registros retornados pela consulta
        echo "Nenhum resultado encontrado.";
    }
} else {
    // Houve um erro ao executar a consulta
    die('Erro na consulta: ' . $connectionmysql->error);
}
//echo $total_terceiros;
// Agora $total_terceiros contém o valor total da coluna 'valor_terceiros' para todas as linhas retornadas pela consulta.

}

?>

<!DOCTYPE html>
<html lang="pt-br">
<?php
$pageTitle = "Painel Gerencial"; // Definir o título da página aqui
include('../geral/header.php');
?>

<body>

    <body>

        <!-- Navigation Bar-->
        <?php
        include('../geral/menu.php');
        ?>
        <!-- End Navigation Bar-->

        <!-- ============================================================== -->
        <!-- Start Page Content here -->
        <!-- ============================================================== -->

        <div class="wrapper candidato">
            <div class="container-fluid">

                <div class="card-box mt-3">
                    <div class="row align-items-center">

                        <div class="col-12">
                            <form method="get" action="painel-gerencial.php" id="indexForm">
                                <h3>Painel Gerencial - Por Movimento de Receitas</h3>
                        </div>

                        <div class="col-4">
                            <label for="cidade" class="col-form-label">Cidade:</label>
                            <select id="cidade" name="cidade" class="form-control">
                                <option value="Todos" <?php echo (!isset($cidade) || $cidade == "Todos") ? "selected" : ""; ?>>Todos</option>
                                <?php foreach ($cidadefiliais as $item) : ?>
                                    <option value="<?php echo $item['MUNIC']; ?>" <?php echo (isset($cidade) && $cidade == $item['MUNIC']) ? "selected" : ""; ?>>
                                        <?php echo $item['MUNIC']; ?>
                                    </option>
                                <?php endforeach; ?>
                            </select>
                        </div>
                        <div class="col-4">
                        <label for="filial" class="col-form-label">Filial:</label>
                            <input type="checkbox" id="select_todos"> <label for="select_todos">Selecionar Todos
                        </label>
    
                            <select multiple id="filial" name="filial[]" class="form-control">
                                <!-- Options will be filled dynamically -->
                            </select>

                        </div>
                                                
              

                       

                                <div class="col-2">
                                <label for="ano" class="col-form-label">Ano:</label>
                                <select id="ano" name="ano" class="form-control">
                                    <option value="Selecione" <?php echo (isset($ano) && $ano == "Selecione") ? "selected" : ""; ?>>Selecione</option>
                                    <?php
                                    $anoAtual = date("Y");

                                    // Gera uma lista de 4 anos a partir do ano atual
                                    for ($i = 0; $i < 4; $i++) {
                                        $anoOpcao = $anoAtual - $i;
                                        echo '<option value="' . $anoOpcao . '" ' . (isset($ano) && $ano == $anoOpcao ? "selected" : "") . '>' . $anoOpcao . '</option>';
                                    }
                                    ?>
                                </select>
                            </div>

                        <div class="col-2">
                            <label for="nota1" class="col-form-label">Mês:</label>
                            <select name="mes" id="mes" class="form-control">
                                <option value="Selecione" <?php echo (isset($mes) && $mes == "Selecione") ? "selected" : ""; ?>>Selecione</option>
                                <option value="1" <?php echo (isset($mes) && $mes == "1") ? "selected" : ""; ?>>Janeiro</option>
                                <option value="2" <?php echo (isset($mes) && $mes == "2") ? "selected" : ""; ?>>Fevereiro</option>
                                <option value="3" <?php echo (isset($mes) && $mes == "3") ? "selected" : ""; ?>>Março</option>
                                <option value="4" <?php echo (isset($mes) && $mes == "4") ? "selected" : ""; ?>>Abril</option>
                                <option value="5" <?php echo (isset($mes) && $mes == "5") ? "selected" : ""; ?>>Maio</option>
                                <option value="6" <?php echo (isset($mes) && $mes == "6") ? "selected" : ""; ?>>Junho</option>
                                <option value="7" <?php echo (isset($mes) && $mes == "7") ? "selected" : ""; ?>>Julho</option>
                                <option value="8" <?php echo (isset($mes) && $mes == "8") ? "selected" : ""; ?>>Agosto</option>
                                <option value="9" <?php echo (isset($mes) && $mes == "9") ? "selected" : ""; ?>>Setembro</option>
                                <option value="10" <?php echo (isset($mes) && $mes == "10") ? "selected" : ""; ?>>Outubro</option>
                                <option value="11" <?php echo (isset($mes) && $mes == "11") ? "selected" : ""; ?>>Novembro</option>
                                <option value="12" <?php echo (isset($mes) && $mes == "12") ? "selected" : ""; ?>>Dezembro</option>
                            </select>
                        </div>
                      
                        
                        
                       
                        <div class="col-12 text-right mt-3">
                            <button name="pesquisar" class="btn btn-primary" type="submit">Pesquisar</button>
                        </div>
                        </form>
                    </div>
                </div>
                <?php if (isset($_GET['pesquisar'])) { ?>
                    <div class="card-box mt-3">
                        <div class="row align-items-center">

                            <div class="col-12 text-center">
                                <!-- Adicionar o link no HTML -->
                                <div class="col-12 text-center">
                                    <a href="<?php echo $rankingPageUrl; ?>" class="badge badge-pill badge-secondary mb-4" style="font-size:1.5rem;"><?php echo $cidade; ?></a>
                                </div>

                                <table class="table  table-bordered table-hover table-sm">
                                        <thead class="thead-light">
                                <tr>
                                                <th scope="col" rowspan="2">Filiais</th>
                                                <th scope="col" colspan="3">Manipulado</th>
                                                <th scope="col" colspan="3">Revenda</th>
                                                <th scope="col" colspan="3">Marca Própria</th>
                                                <th scope="col" colspan="3">Total Geral</th>
                                            </tr>
                                            <tr>
                                            <th scope="col">Meta</th>
                                                <th scope="col">Realizado</th>
                                                <th scope="col">Projeção</th>

                                                <th scope="col">Meta</th>
                                                <th scope="col">Realizado</th>
                                                <th scope="col">Projeção</th>

                                                <th scope="col">Meta</th>
                                                <th scope="col">Realizado</th>
                                                <th scope="col">Projeção</th>

                                                <th scope="col">Meta</th>
                                                <th scope="col">Realizado</th>
                                                <th scope="col">Projeção</th>
                                                
                                        </thead>
                                
                                <tbody>

                                    <?php
// Criar arrays associativos para armazenar os resultados
$dataManipulado = [];
$dataRevenda = [];
$dataMarca = [];

// Buscar dados de manipulado
while ($row = ibase_fetch_assoc($qryResult)) {
    $dataManipulado[$row['CDFIL']] = $row['SOMA'];
}

// Buscar dados de revenda
while ($row = ibase_fetch_assoc($qryResultRevenda)) {
    $dataRevenda[$row['CDCONRE']] = $row['REVENDA_TOTAL'];
}

// Buscar dados de marca própria
while ($row = ibase_fetch_assoc($qryResultMarca)) {
    $dataMarca[$row['CDCONRE']] = $row['MARCA_PROPRIA_TOTAL'];
}

// Criar array para armazenar as metas
$metas = [];
while ($row = $resultmeta->fetch_assoc()) {
    $metas[$row['codigo_filial']] = $row;
}


// Inicializar totais
$totalRealizadoManipulado = 0;
$totalRealizadoRevenda = 0;
$totalRealizadoMarcaPropria = 0;
$totalMetaManipulado = 0;
$totalMetaRevenda = 0;
$totalMetaMarcaPropria = 0;
$totalMeta = 0 ;
$totalMetaSoma = 0 ;
// Iterar sobre os resultados das vendas e incluir metas correspondentes
foreach ($dataManipulado as $cdfil => $manipulado) {
    $revenda = $dataRevenda[$cdfil] ?? 0;
    $marca_propria = $dataMarca[$cdfil] ?? 0;
    $total = $manipulado + $revenda + $marca_propria;

    // Obter as metas correspondentes a esta filial
    $meta = $metas[$cdfil] ?? null;
    if ($meta) {
        $metaManipulado = $meta['META_VALOR_MANIPULADO'];
        $metaRevenda = $meta['META_VALOR_REVENDA'];
        $metaMarcaPropria = $meta['META_VALOR_MARCA_PROPRIA'];
        $totalMeta = $meta['META_SOMA'];

        // Adicionar valores das metas aos totais
        $totalMetaManipulado += $metaManipulado;
        $totalMetaRevenda += $metaRevenda;
        $totalMetaMarcaPropria += $metaMarcaPropria;
        $totalMetaSoma += $totalMeta;
       
    } else {
        // Se não houver meta para esta filial, defina os valores como 0
        $metaManipulado = 0;
        $metaRevenda = 0;
        $metaMarcaPropria = 0;
    }
    // Calcular total geral de metas
//$totalMeta = $totalMetaManipulado + $totalMetaRevenda + $totalMetaMarcaPropria;

    // Exibir linha da tabela com os valores das vendas e metas
    echo "<tr class='text-center'>";
    echo "<td>Filial {$cdfil}</td>";
    echo "<td>R$ " . number_format($metaManipulado, 2, ',', '.') . "</td>";
    echo "<td>R$ " . number_format($manipulado, 2, ',', '.') . "</td>";
    echo "<td>";
if ($anoAtual == $ano && $mesAtual == $mes) {
    if ($metaManipulado != 0) {
        $percentage = number_format(($manipulado / $peso_diaatual) * $pesoUltimoDia / $metaManipulado * 100, 2);
    } else {
        // Se $metaManipulado for zero, define $percentage como zero
        $percentage = 0;
    }
} else {
    if ($metaManipulado != 0) {
        // Se não for zero, realizar a divisão normalmente
        $percentage = ($manipulado / $metaManipulado) * 100;
        $percentage = number_format($percentage, 2);
    } else {
        // Se for zero, definir o resultado como zero
        $percentage = '0';
    }
}
echo "<span class=\"badge badge-pill " . getBadgeClass($percentage) . "\">" . $percentage . "%</span>";
echo "</td>";

    echo "<td>R$ " . number_format($metaRevenda, 2, ',', '.') . "</td>";
    echo "<td>R$ " . number_format($revenda, 2, ',', '.') . "</td>";
    echo "<td>";
if ($anoAtual == $ano && $mesAtual == $mes) {
    if ($metaRevenda != 0) {
        $percentage = number_format(($revenda / $peso_diaatual) * $pesoUltimoDia / $metaRevenda * 100, 2);
    } else {
        // Se $metaRevenda for zero, define $percentage como zero
        $percentage = 0;
    }
} else {
    if ($metaRevenda != 0) {
        // Se não for zero, realizar a divisão normalmente
        $percentage = ($revenda / $metaRevenda) * 100;
        $percentage = number_format($percentage, 2);
    } else {
        // Se for zero, definir o resultado como zero
        $percentage = '0';
    }
}
echo "<span class=\"badge badge-pill " . getBadgeClass($percentage) . "\">" . $percentage . "%</span>";
echo "</td>";

    echo "<td>R$ " . number_format($metaMarcaPropria, 2, ',', '.') . "</td>";
    echo "<td>R$ " . number_format($marca_propria, 2, ',', '.') . "</td>";
    echo "<td>";
    if ($anoAtual == $ano && $mesAtual == $mes) {
        if ($metaMarcaPropria != 0) {
            $percentage = number_format(($marca_propria / $peso_diaatual) * $pesoUltimoDia / $metaMarcaPropria * 100, 2);
        } else {
            // Se $metaMarcaPropria for zero, define $percentage como zero
            $percentage = 0;
        }
    } else {
        if ($metaMarcaPropria != 0) {
            // Se não for zero, realizar a divisão normalmente
            $percentage = ($marca_propria / $metaMarcaPropria) * 100;
            $percentage = number_format($percentage, 2);
        } else {
            // Se for zero, definir o resultado como zero
            $percentage = '0';
        }
    }
    echo "<span class=\"badge badge-pill " . getBadgeClass($percentage) . "\">" . $percentage . "%</span>";
    echo "</td>";
    
    echo "<td>R$ " . number_format($totalMeta, 2, ',', '.') . "</td>";
    echo "<td>R$ " . number_format($total, 2, ',', '.') . "</td>";
    echo "<td>";
if ($anoAtual == $ano && $mesAtual == $mes) {
    if ($totalMeta != 0) {
        $percentage = number_format(($total / $peso_diaatual) * $pesoUltimoDia / $totalMeta * 100, 2);
    } else {
        // Se $totalMeta for zero, define $percentage como zero
        $percentage = 0;
    }
} else {
    if ($totalMeta != 0) {
        // Se não for zero, realizar a divisão normalmente
        $percentage = ($total / $totalMeta) * 100;
        $percentage = number_format($percentage, 2);
    } else {
        // Se for zero, definir o resultado como zero
        $percentage = '0';
    }
}
echo "<span class=\"badge badge-pill " . getBadgeClass($percentage) . "\">" . $percentage . "%</span>";
echo "</td>";

    echo "</tr>";

    // Adicionar valores das vendas aos totais
    $totalRealizadoManipulado += $manipulado;
    $totalRealizadoRevenda += $revenda;
    $totalRealizadoMarcaPropria += $marca_propria;
}// Definindo o valor da projeçao total de Manipulado

//INICIANDO TOTAIS DE PROJEÇÃO
$percentualtotalmanipulado = 0;
$percentualtotalrevenda = 0;
$percentualtotalMarcaPropria = 0;
 $percentualtotalgeral = 0;

if ($anoAtual == $ano && $mesAtual == $mes) {
    if ($totalMetaManipulado != 0) {
        $percentualtotalmanipulado = number_format(($totalRealizadoManipulado / $peso_diaatual) * $pesoUltimoDia / $totalMetaManipulado * 100, 2);
    } else {
        $percentualtotalmanipulado = 0;
    }
} else {
    if ($totalMetaManipulado != 0) {
        $percentualtotalmanipulado = number_format(($totalRealizadoManipulado / $totalMetaManipulado) * 100, 2);
    } else {
        $percentualtotalmanipulado = 0;
    }
}

if ($anoAtual == $ano && $mesAtual == $mes) {
    if ($totalMetaRevenda != 0) {
        $percentualtotalrevenda = number_format(($totalRealizadoRevenda / $peso_diaatual) * $pesoUltimoDia / $totalMetaRevenda * 100, 2);
    } else {
        $percentualtotalrevenda = 0;
    }
} else {
    if ($totalMetaRevenda != 0) {
        $percentualtotalrevenda = number_format(($totalRealizadoRevenda / $totalMetaRevenda) * 100, 2);
    } else {
        $percentualtotalrevenda = 0;
    }
}
// $percentualtotalrevendafaltapara100 = 100 - $percentualtotalrevenda;



// Definindo o valor da projeçao total de Marca Propria Revenda
if ($anoAtual == $ano && $mesAtual == $mes) {
    if ($totalMetaMarcaPropria != 0) {
        $percentualtotalMarcaPropria = number_format(($totalRealizadoMarcaPropria / $peso_diaatual) * $pesoUltimoDia / $totalMetaMarcaPropria * 100, 2);
    } else {
        $percentualtotalMarcaPropria = 0;
    }
} else {
    if ($totalMetaMarcaPropria != 0) {
        $percentualtotalMarcaPropria = number_format(($totalRealizadoMarcaPropria / $totalMetaMarcaPropria) * 100, 2);
    } else {
        $percentualtotalMarcaPropria = 0;
    }
}


//$percentualtotalgeral = ($totalMetaSoma != 0) ? number_format(($totalRealizadoSoma / $totalMetaSoma) * 100, 2) : 0;
// Definindo o valor da projeçao total % GERAL
if ($anoAtual == $ano && $mesAtual == $mes) {
    if ($totalMetaSoma != 0) {
        $percentualtotalgeral = number_format((($totalRealizadoManipulado + $totalRealizadoRevenda + $totalRealizadoMarcaPropria) / $peso_diaatual) * $pesoUltimoDia / $totalMetaSoma * 100, 2);
    } else {
        $percentualtotalgeral = 0;
    }
} else {
    if ($totalMetaSoma != 0) {
        $percentualtotalgeral = number_format((($totalRealizadoManipulado + $totalRealizadoRevenda + $totalRealizadoMarcaPropria) / $totalMetaSoma) * 100, 2);
    } else {
        $percentualtotalgeral = 0;
    }
}

// Exibir linha da tabela com os totais
echo "<tr class='text-center'>";
echo "<td><b>Total</b></td>";
echo "<td>R$ " . number_format($totalMetaManipulado, 2, ',', '.') . "</td>";
echo "<td>R$ " . number_format($totalRealizadoManipulado, 2, ',', '.') . "</td>";
echo "<td><span class=\"badge badge-pill " . getBadgeClass($percentualtotalmanipulado) . "\">" . $percentualtotalmanipulado . "%</span></td>";
echo "<td>R$ " . number_format($totalMetaRevenda, 2, ',', '.') . "</td>";
echo "<td>R$ " . number_format($totalRealizadoRevenda, 2, ',', '.') . "</td>";
echo "<td><span class=\"badge badge-pill " . getBadgeClass($percentualtotalrevenda) . "\">" . $percentualtotalrevenda . "%</span></td>";
echo "<td>R$ " . number_format($totalMetaMarcaPropria, 2, ',', '.') . "</td>";
echo "<td>R$ " . number_format($totalRealizadoMarcaPropria, 2, ',', '.') . "</td>";
echo "<td><span class=\"badge badge-pill " . getBadgeClass($percentualtotalMarcaPropria) . "\">" . $percentualtotalMarcaPropria . "%</span></td>";
echo "<td>R$ " . number_format($totalMetaSoma, 2, ',', '.') . "</td>";

echo "<td>R$ " . number_format($totalRealizadoManipulado + $totalRealizadoRevenda + $totalRealizadoMarcaPropria, 2, ',', '.') . "</td>";
echo "<td><span class=\"badge badge-pill " . getBadgeClass($percentualtotalgeral) . "\">" . $percentualtotalgeral . "%</span></td>";
echo "</tr>";


// SOMANDO O VALOR TOTAL REALIZADO
$totalRealizadoSoma = $totalRealizadoManipulado + $totalRealizadoRevenda + $totalRealizadoMarcaPropria;

//Fazendo os cálculos de quanto falta para 100%,90%,80% e 70%
$meta90Manipulado = $totalMetaManipulado * 0.9; 
                                                $meta90Revenda = $totalMetaRevenda * 0.9;
                                                $meta90MarcaPropria = $totalMetaMarcaPropria * 0.9;
                                                $meta90Soma = $totalMetaSoma * 0.9;
                                                //Cálculo falta para 100 revenda
                                                $valorfalta100revenda =  $totalMetaRevenda - $totalRealizadoRevenda;
                                                if ($valorfalta100revenda <= 0) {
                                                    $valorfalta100revenda = 0;
                                                }
                                                //Cálculo falta para 100 marca propria
                                                $valorfalta100marcapropria =  $totalMetaMarcaPropria - $totalRealizadoMarcaPropria;
                                                if ($valorfalta100marcapropria <= 0) {
                                                    $valorfalta100marcapropria = 0;
                                                }
                                                //Cálculo falta para 100 manipulado
                                                $valorfalta100manipulado =  $totalMetaManipulado - $totalRealizadoManipulado;
                                                if ($valorfalta100manipulado <= 0) {
                                                    $valorfalta100manipulado = 0;
                                                }
                                                //Cálculo falta para 100 geral
                                                $valorfalta100geral = $totalMetaSoma - $totalRealizadoSoma;
                                                if ($valorfalta100geral <= 0) {
                                                    $valorfalta100geral = 0;
                                                }
                                                // Calcular percentual realizado para 90% da meta e a falta para 90%
                                                $percentual90manipulado = ($meta90Manipulado != 0) ? number_format(($totalRealizadoManipulado / $meta90Manipulado) * 100, 2) : 0;
                                               // $faltaPara90manipulado = 100 - $percentual90manipulado;
                                                $valorfalta90manipulado = $meta90Manipulado - $totalRealizadoManipulado;
                                                if ($valorfalta90manipulado <= 0) {
                                                    $valorfalta90manipulado = 0;
                                                }

                                                $percentual90revenda = ($meta90Revenda != 0) ? number_format(($totalRealizadoRevenda / $meta90Revenda) * 100, 2) : 0;
                                               // $faltaPara90revenda = 100 - $percentual90revenda;
                                                $valorfalta90revenda = $meta90Revenda - $totalRealizadoRevenda;
                                                if ($valorfalta90revenda <= 0) {
                                                    $valorfalta90revenda = 0;
                                                }

                                                $percentual90MarcaPropria = ($meta90MarcaPropria != 0) ? number_format(($totalRealizadoMarcaPropria / $meta90MarcaPropria) * 100, 2) : 0;

                                                // Verifique se $percentual90MarcaPropria é um número antes de realizar a operação
                                                if (is_numeric($percentual90MarcaPropria)) {
                                                    $faltaPara90MarcaPropria = 100 - $percentual90MarcaPropria;
                                                } else {
                                                    $faltaPara90MarcaPropria = 0;
                                                }

                                                $valorfalta90MarcaPropria = $meta90MarcaPropria - $totalRealizadoMarcaPropria;
                                                if ($valorfalta90MarcaPropria <= 0) {
                                                    $valorfalta90MarcaPropria = 0;
                                                }


                                                $percentual90geral = ($meta90Soma != 0) ? number_format(($totalRealizadoSoma / $meta90Soma) * 100, 2) : 0;
                                               // $faltaPara90geral = 100 - $percentual90geral;
                                                $valorfalta90geral = $meta90Soma - $totalRealizadoSoma;
                                                if ($valorfalta90geral <= 0) {
                                                    $valorfalta90geral = 0;
                                                }

                                                // Calcular 80% da meta para cada categoria
                                                $meta80Manipulado = $totalMetaManipulado * 0.8;
                                                $meta80Revenda = $totalMetaRevenda * 0.8;
                                                $meta80MarcaPropria = $totalMetaMarcaPropria * 0.8;
                                                $meta80Soma = $totalMetaSoma * 0.8;

                                                // Calcular percentual realizado para 80% da meta
                                                $percentual80manipulado = ($meta80Manipulado != 0) ? number_format(($totalRealizadoManipulado / $meta80Manipulado) * 100, 2) : 0;
                                               // $faltaPara80manipulado = 100 - $percentual80manipulado;
                                                $valorFalta80manipulado = $meta80Manipulado - $totalRealizadoManipulado;
                                                if ($valorFalta80manipulado <= 0) {
                                                    $valorFalta80manipulado = 0;
                                                }

                                                $percentual80revenda = ($meta80Revenda != 0) ? number_format(($totalRealizadoRevenda / $meta80Revenda) * 100, 2) : 0;
                                                $faltaPara80revenda = 100 - $percentual80revenda;
                                                $valorFalta80revenda = $meta80Revenda - $totalRealizadoRevenda;
                                                if ($valorFalta80revenda <= 0) {
                                                    $valorFalta80revenda = 0;
                                                }

                                                $percentual80MarcaPropria = ($meta80MarcaPropria != 0) ? number_format(($totalRealizadoMarcaPropria / $meta80MarcaPropria) * 100, 2) : 0;

                                                // Verifique se $percentual80MarcaPropria é um número antes de realizar a operação
                                                if (is_numeric($percentual80MarcaPropria)) {
                                                    $faltaPara80MarcaPropria = 100 - $percentual80MarcaPropria;
                                                } else {
                                                    $faltaPara80MarcaPropria = 0;
                                                }

                                                $valorFalta80MarcaPropria = $meta80MarcaPropria - $totalRealizadoMarcaPropria;
                                                if ($valorFalta80MarcaPropria <= 0) {
                                                    $valorFalta80MarcaPropria = 0;
                                                }


                                                $percentual80geral = ($meta80Soma != 0) ? number_format(($totalRealizadoSoma / $meta80Soma) * 100, 2) : 0;
                                              //  $faltaPara80geral = 100 - $percentual80geral;
                                                $valorFalta80geral = $meta80Soma - $totalRealizadoSoma;
                                                if ($valorFalta80geral <= 0) {
                                                    $valorFalta80geral = 0;
                                                }



                                                // Calcular 70% da meta para cada categoria
                                                $meta70Manipulado = $totalMetaManipulado * 0.7;
                                                $meta70Revenda = $totalMetaRevenda * 0.7;
                                                $meta70MarcaPropria = $totalMetaMarcaPropria * 0.7;
                                                $meta70Soma = $totalMetaSoma * 0.7;

                                                // Calcular percentual realizado para 70% da meta
                                                $percentual70manipulado = ($meta70Manipulado != 0 && is_numeric($totalRealizadoManipulado) && is_numeric($meta70Manipulado))
                                                    ? number_format(($totalRealizadoManipulado / $meta70Manipulado) * 100, 2) : 0;

                                                // Verificar se $percentual70manipulado é um número antes de realizar a operação
                                                if (is_numeric($percentual70manipulado)) {
                                                    $faltaPara70manipulado = 100 - $percentual70manipulado;
                                                } else {
                                                    $faltaPara70manipulado = 0;
                                                }

                                                $valorFalta70manipulado = $meta70Manipulado - $totalRealizadoManipulado;
                                                if ($valorFalta70manipulado <= 0) {
                                                    $valorFalta70manipulado = 0;
                                                }


                                                $percentual70revenda = ($meta70Revenda != 0) ? number_format(($totalRealizadoRevenda / $meta70Revenda) * 100, 2) : 0;
                                                $faltaPara70revenda = 100 - $percentual70revenda;
                                                $valorFalta70revenda = $meta70Revenda - $totalRealizadoRevenda;
                                                if ($valorFalta70revenda <= 0) {
                                                    $valorFalta70revenda = 0;
                                                }

                                                // Calcular percentual realizado para 70% da meta


                                                if ($meta70MarcaPropria != 0 && is_numeric($totalRealizadoMarcaPropria) && is_numeric($meta70MarcaPropria)) {
                                                    $percentual70MarcaPropria = number_format(($totalRealizadoMarcaPropria / $meta70MarcaPropria) * 100, 2);
                                                    $faltaPara70MarcaPropria = 100 - floatval($percentual70MarcaPropria);
                                                    $valorFalta70MarcaPropria = $meta70MarcaPropria - $totalRealizadoMarcaPropria;
                                                    if ($valorFalta70MarcaPropria <= 0) {
                                                        $valorFalta70MarcaPropria = 0;
                                                    }
                                                }

                                                // Calcular percentual realizado para 70% da meta geral


                                                if ($meta70Soma != 0 && is_numeric($totalRealizadoSoma) && is_numeric($meta70Soma)) {
                                                    $percentual70geral = number_format(($totalRealizadoSoma / $meta70Soma) * 100, 2);
                                                    $faltaPara70geral = 100 - floatval($percentual70geral);
                                                    $valorFalta70geral = $meta70Soma - $totalRealizadoSoma;
                                                    if ($valorFalta70geral <= 0) {
                                                        $valorFalta70geral = 0;
                                                    }
                                                }

                                                //ENVIANDO DADOS VIA SESSION PARA SER USADO EM OUTRAS PÁGINAS
                                                $_SESSION['meta_geral'] = $totalMetaSoma;
                                                $_SESSION['realizado_geral'] = $totalRealizadoSoma;
                                                $_SESSION['somaPorcentagemSoma'] = $percentualtotalgeral;
                                                $_SESSION['meta_manipulado'] = $totalMetaManipulado;
                                                $_SESSION['meta_revenda'] = $totalMetaRevenda;
                                                $_SESSION['meta_propria'] = $totalMetaMarcaPropria;
                                                $_SESSION['meta_soma'] = $totalMetaSoma;
                                                $_SESSION['total_terceiros'] = $total_terceiros;
                                                //variáveis usadas para calcular média de vendas diárias
                                                $_SESSION['valorfalta90manipulado'] = $valorfalta90manipulado;
                                                $_SESSION['valorfalta90revenda'] = $valorfalta90revenda;
                                                $_SESSION['valorfalta90MarcaPropria'] = $valorfalta90MarcaPropria;
                                                $_SESSION['valorfalta90geral'] = $valorfalta90geral;

                                                $_SESSION['valorfalta80manipulado'] = $valorFalta80manipulado;
                                                $_SESSION['valorfalta80revenda'] = $valorFalta80revenda;
                                                $_SESSION['valorfalta80MarcaPropria'] = $valorFalta80MarcaPropria;
                                                $_SESSION['valorfalta80geral'] = $valorFalta80geral;

                                                $_SESSION['valorfalta70manipulado'] = $valorFalta70manipulado;
                                                $_SESSION['valorfalta70revenda'] = $valorFalta70revenda;
                                                $_SESSION['valorfalta70MarcaPropria'] = $valorFalta70MarcaPropria;
                                                $_SESSION['valorfalta70geral'] = $valorFalta70geral;

?>

<br>

                                <table class="table table-bordered table-hover table-sm">
                                    <thead class="thead-light">
                                        <tr>
                                            <th scope="col"></th>
                                            <th scope="col">Manipulado</th>
                                            <th scope="col">Revenda</th>
                                            <th scope="col">Marca Própria</th>
                                            <th scope="col">Valor Total</th>
                                        </tr>
                                    </thead>
                                    <tbody>



                                        <tr>
                                            <th scope="row">Meta</th>
                                            <td><?php echo number_format($totalMetaManipulado, 2, ',', '.'); ?></td>
                                            <td><?php echo number_format($totalMetaRevenda, 2, ',', '.'); ?></td>
                                            <td><?php echo number_format($totalMetaMarcaPropria, 2, ',', '.'); ?></td>
                                            <td><?php echo number_format($totalMetaSoma, 2, ',', '.'); ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Realizado</th>
                                            <td><?php echo number_format($totalRealizadoManipulado, 2, ',', '.'); ?></td>
                                            <td><?php echo number_format($totalRealizadoRevenda, 2, ',', '.'); ?></td>
                                            <td><?php echo number_format($totalRealizadoMarcaPropria, 2, ',', '.'); ?></td>
                                            <td><?php echo number_format($totalRealizadoSoma, 2, ',', '.'); ?></td>
                                        </tr>

                                        <tr>
                                            <th scope="row">Falta para 100%</th>
                                            <td>
                                                <!-- <span class="badge badge-pill <?php echo getBadgeClassmeta($percentualtotalmanipuladofaltapara100); ?>"><?php echo $percentualtotalmanipuladofaltapara100; ?>%</span> -->
                                                <?php echo number_format($valorfalta100manipulado, 2, ',', '.'); ?>
                                            </td>
                                            <td>
                                                <!-- <span class="badge badge-pill <?php echo getBadgeClassmeta($percentualtotalrevendafaltapara100); ?>"><?php echo $percentualtotalrevendafaltapara100; ?>%</span>  -->
                                                <?php echo number_format($valorfalta100revenda, 2, ',', '.'); ?>
                                            </td>
                                            <td>
                                                <!--  <span class="badge badge-pill <?php echo getBadgeClassmeta($percentualtotalMarcaPropriafaltapara100); ?>"><?php echo $percentualtotalMarcaPropriafaltapara100; ?>%</span>   -->
                                                <?php echo number_format($valorfalta100marcapropria, 2, ',', '.'); ?>
                                            </td>
                                            <td>
                                                <!-- <span class="badge badge-pill <?php echo getBadgeClassmeta($percentualtotalgeralfaltapara100); ?>"><?php echo $percentualtotalgeralfaltapara100; ?>%</span> -->
                                                <?php echo number_format($valorfalta100geral, 2, ',', '.'); ?>
                                            </td>

                                        </tr>
                                        <tr>
                                            <th scope="row">Falta para 90%</th>
                                            <td>
                                                <!--  <span class="badge badge-pill <?php echo getBadgeClassmeta($faltaPara90manipulado); ?>"><?php echo number_format($faltaPara90manipulado, 2); ?>%</span> -->
                                                <?php echo number_format($valorfalta90manipulado, 2, ',', '.'); ?>
                                            </td>
                                            <td>
                                                <!--  <span class="badge badge-pill <?php echo getBadgeClassmeta($faltaPara90revenda); ?>"><?php echo number_format($faltaPara90revenda, 2); ?>%</span> -->
                                                <?php echo number_format($valorfalta90revenda, 2, ',', '.'); ?>
                                            </td>
                                            <td>
                                                <!--  <span class="badge badge-pill <?php echo getBadgeClassmeta($faltaPara90MarcaPropria); ?>"><?php echo number_format($faltaPara90MarcaPropria, 2); ?>%</span> -->
                                                <?php echo number_format($valorfalta90MarcaPropria, 2, ',', '.'); ?>
                                            </td>
                                            <td>
                                                <!-- <span class="badge badge-pill <?php echo getBadgeClassmeta($faltaPara90geral); ?>"><?php echo number_format($faltaPara90geral, 2); ?>%</span> -->
                                                <?php echo number_format($valorfalta90geral, 2, ',', '.'); ?>
                                            </td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Falta para 80%</th>
                                            <td>
                                                <!-- <span class="badge badge-pill <?php echo getBadgeClassmeta($faltaPara80manipulado); ?>"><?php echo number_format($faltaPara80manipulado, 2); ?>%</span> -->
                                                <?php echo number_format($valorFalta80manipulado, 2, ',', '.'); ?>
                                            </td>
                                            <td>
                                                <!-- <span class="badge badge-pill <?php echo getBadgeClassmeta($faltaPara80revenda); ?>"><?php echo number_format($faltaPara80revenda, 2); ?>%</span> -->
                                                <?php echo number_format($valorFalta80revenda, 2, ',', '.'); ?>
                                            </td>
                                            <td>
                                                <!--  <span class="badge badge-pill <?php echo getBadgeClassmeta($faltaPara80MarcaPropria); ?>"><?php echo number_format($faltaPara80MarcaPropria, 2); ?>%</span> -->
                                                <?php echo number_format($valorFalta80MarcaPropria, 2, ',', '.'); ?>
                                            </td>
                                            <td>
                                                <!--  <span class="badge badge-pill <?php echo getBadgeClassmeta($faltaPara80geral); ?>"><?php echo number_format($faltaPara80geral, 2); ?>%</span> -->
                                                <?php echo number_format($valorFalta80geral, 2, ',', '.'); ?>
                                            </td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Falta para 70%</th>
                                            <td>
                                                <!-- <span class="badge badge-pill <?php echo getBadgeClassmeta($faltaPara70manipulado); ?>"><?php echo number_format($faltaPara70manipulado, 2); ?>%</span> -->
                                                <?php echo number_format($valorFalta70manipulado, 2, ',', '.'); ?>
                                            </td>
                                            <td>
                                                <!-- <span class="badge badge-pill <?php echo getBadgeClassmeta($faltaPara70revenda); ?>"><?php echo number_format($faltaPara70revenda, 2); ?>%</span> -->
                                                <?php echo number_format($valorFalta70revenda, 2, ',', '.'); ?>
                                            </td>
                                            <td>
                                                <!-- <span class="badge badge-pill <?php echo getBadgeClassmeta($faltaPara70MarcaPropria); ?>"><?php echo number_format($faltaPara70MarcaPropria, 2); ?>%</span> -->
                                                <?php echo number_format($valorFalta70MarcaPropria, 2, ',', '.'); ?>
                                            </td>
                                            <td>
                                                <!--  <span class="badge badge-pill <?php echo getBadgeClassmeta($faltaPara70geral); ?>"><?php echo number_format($faltaPara70geral, 2); ?>%</span> -->
                                                <?php echo number_format($valorFalta70geral, 2, ',', '.'); ?>
                                            </td>
                                        </tr>




                                    </tbody>
                                </table>


                                </tbody>
                            </table>
                        </div>


                <?php } ?>
    <!-- ============================================================== -->
    <!-- End Page content -->
    <!-- ============================================================== -->

    <!-- Footer Start -->
    <?php
    include('../geral/footer.php');
    ?>
    <!-- end Footer -->

    <?php
    include('../geral/mensagens_modais.php');
    ?>


    <!-- Vendor js -->
    <script src="../../assets/js/vendor.min.js"></script>

    <!-- knob plugin -->
    <script src="../../assets/libs/jquery-knob/jquery.knob.min.js"></script>
    <!-- App js-->
    <script src="../../assets/js/app.min.js"></script>

    <script src="../geral/javascript.js"></script>

    </body>

</html>



<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.1.0-beta.1/css/select2.min.css" rel="stylesheet" />

<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.1.0-beta.1/js/select2.min.js"></script>
<link href="../../assets/css/style.css" rel="stylesheet" />

<script>
  $(document).ready(function() {
    // Função para preencher o combo de filiais com Select2
    function carregarFiliais(cidade) {
        $.ajax({
            url: 'get_filiais.php',
            type: 'POST',
            dataType: 'json',
            data: {
                cidade: cidade
            },
            success: function(data) {
                $('#filial').empty().select2({
                    placeholder: 'Selecione uma ou mais filiais',
                    data: data.map(function(item) {
                        return {
                            id: item.CDFIL,
                            text: item.DESCRFIL
                        };
                    })
                });

                // Selecionar a opção "Todos" por padrão
                $('#filial').val('Todos').trigger('change');
            },
            error: function(xhr, status, error) {
                alert('Erro na chamada AJAX: ' + status + ' - ' + error);
            }
        });
    }

    // Ao carregar a página, chama a função para preencher o combo de filiais com base na cidade inicial
    carregarFiliais($('#cidade').val());

    // Ao alterar a cidade, chama a função para preencher o combo de filiais com base na nova cidade selecionada
    $('#cidade').change(function() {
        const cidade = $(this).val();
        carregarFiliais(cidade);
    });

    // Checkbox para selecionar todas as filiais
    $("#select_todos").click(function() {
        if ($(this).is(':checked')) {
            $('#filial option').prop('selected', true);
            $('#filial').trigger('change');
        } else {
            $('#filial option').prop('selected', false);
            $('#filial').trigger('change');
        }
    });
});


</script>





<script type="text/javascript">
    document.addEventListener("DOMContentLoaded", function() {
        var form = document.getElementById("indexForm");

        form.addEventListener("submit", function(event) {
            var ano = document.getElementById("ano").value;
            var mes = document.getElementById("mes").value;



            if (ano === "Selecione" || mes === "Selecione") {
                alert("O Ano e Mês devem estar selecionados");
                event.preventDefault(); // Prevents form submission
            }
        });
    });
</script>



